> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-feature-react-native-ui-kit-search-and-s.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reviewed messages

> Marks the blocked messages as reviewed. The moderator can approve the message or confirm it remains blocked. Once reviewed, the message is moved from the blocked messages list to the reviewed messages list.



## OpenAPI

````yaml get /moderation/reviewed-messages
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appid}.api-{region}.cometchat.io/v3
    variables:
      appid:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /moderation/reviewed-messages:
    get:
      tags:
        - Moderation
      summary: List Reviewed messages
      description: >-
        Marks the blocked messages as reviewed. The moderator can approve the
        message or confirm it remains blocked. Once reviewed, the message is
        moved from the blocked messages list to the reviewed messages list.
      operationId: chat-api-list-reviewed-messages
      parameters:
        - name: limit
          in: query
          description: The number of items to return per page.
          required: false
          schema:
            type: integer
            default: 50
          example: 50
      responses:
        '200':
          description: List Reviewed Messages
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  - ruleId: toxicity
                    ruleName: Toxicity Detection (English)
                    revisionId: default_toxicity_1
                    condition:
                      id: 1
                      isKeywordsReferencePresent: false
                      isMediaPresent: false
                      entity: message
                      operand: text
                      category: toxicity
                      operator: contains
                      value:
                        - toxicity_greaterThan_70
                      message: Text message contains Toxicity greater than 70%
                      weight: 1
                    message:
                      id: '390079'
                      muid: _b0zr29wvr
                      conversationId: cometchat-uid-1_user_cometchat-uid-3
                      sender: cometchat-uid-1
                      receiverType: user
                      receiver: cometchat-uid-3
                      category: message
                      type: text
                      data:
                        text: nigger
                        resource: >-
                          WEB-4_1_1-7896d270-ea72-4510-b993-282ab6a6afdb-1757953564776
                        entities:
                          sender:
                            entity:
                              uid: cometchat-uid-1
                              name: Andrew Joseph
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp
                              status: online
                              role: default
                              lastActiveAt: 1757955944
                            entityType: user
                          receiver:
                            entity:
                              uid: cometchat-uid-3
                              name: Nancy Grace
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp
                              status: offline
                              role: default
                              lastActiveAt: 1754574851
                              conversationId: cometchat-uid-1_user_cometchat-uid-3
                            entityType: user
                        moderation:
                          status: disapproved
                          rule:
                            id: toxicity
                            name: Toxicity Detection (English)
                      sentAt: 1757955946
                      updatedAt: 1757955946
                    action:
                      - blockMessage
                    createdAt: 1757955951
                    updatedAt: 1757955951
                    blockedAt: '1757955951.000000000390079'
                    appId: 253626bf6512389d
                meta:
                  current:
                    limit: 50
                    count: 46
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````